import { optionTypeList, stemTypeList, questionNumberTypeList, scoreTypeList, switchOption } from './common';

/**
 * 获取填表题数据模板（防止 mark 重复）
 * @returns {object} 判断题数据模板
 */
export function getFillFormData() {
  return {
    type: 'fill_form', // 题型
    stem: '', // 题干
    option_number_show_mode: optionTypeList[0].value, // 选项类型
    option_list: [], // 选项列表
    answer: { answer_list: [], score: 1, score_type: scoreTypeList[0].value }, // 答案
    // 题型属性
    property: {
      stem_type: stemTypeList[0].value, // 题干类型
      question_number: '1', // 题号
      score: 1, // 分值
      score_type: scoreTypeList[0].value, // 分值类型
      order_number_column: switchOption[0].value, // 序号列
      row_number: 1, // 行数
      column_number: 2, // 列数
    },
    // 其他属性
    other: {
      question_number_type: questionNumberTypeList[0].value, // 题号类型
    },
  };
}
